version: "3.1"

networks:
  wpgo_test:
    driver: bridge

services:
  local_testdb:
    image: mysql:5.7
    container_name: wpgo_local_db_test
    environment:
      MYSQL_ROOT_PASSWORD: omama
      MYSQL_DATABASE: test
      MYSQL_USER: test
      MYSQL_PASSWORD: test
    ports: 
      - 23306:3306
    volumes:
      - ${DIND_PATH}/migrations/test/:/backups
      - ${DIND_PATH}/scripts/ut-restore.sh:/restore.sh
    networks:
      - wpgo_test

  db:
    image: mysql:5.7
    container_name: wpgo_db_test
    environment:
      MYSQL_ROOT_PASSWORD: omama
      MYSQL_DATABASE: wpgo
      MYSQL_USER: wpgo
      MYSQL_PASSWORD: wpgo
    volumes:
      - ${DIND_PATH}/migrations/test/:/backups
      - ${DIND_PATH}/scripts/ut-restore.sh:/restore.sh
    networks:
      - wpgo_test
  
  redis:
    image: redis
    container_name: wpgo_redis_test
    networks:
      - wpgo_test

  wpgo:
    image: kodingworks/wpgo-v1:test
    build:
      context: ../
      dockerfile: deployments/test/Dockerfile
    container_name: wpgo_app_test
    depends_on: 
      - db
    environment:
      DB_HOST: db
      DB_PORT: 3306
      DB_NAME: wpgo
      DB_USER: wpgo
      DB_PASS: wpgo
      REDIS_HOST: redis
      REDIS_PORT: 6379
    networks:
      - wpgo_test
